aboutsummaryrefslogtreecommitdiffstats
path: root/testing/bluez-hcidump/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-03-27 12:52:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-03-27 13:10:57 +0000
commitc4c9fd3a4232584fffbe386e7fc4c98dfb3534b4 (patch)
tree08ea19fe4b35cd80ad45e727041754ab47cda8be /testing/bluez-hcidump/APKBUILD
parentf429b184dd2e50c48ad32225b1128a468c95cda8 (diff)
downloadaports-c4c9fd3a4232584fffbe386e7fc4c98dfb3534b4.tar.gz
aports-c4c9fd3a4232584fffbe386e7fc4c98dfb3534b4.tar.bz2
aports-c4c9fd3a4232584fffbe386e7fc4c98dfb3534b4.tar.xz
testing/bluez-hcidump,gnokii,gvfs,libsyncml,*obex*: rebuild
Diffstat (limited to 'testing/bluez-hcidump/APKBUILD')
-rw-r--r--testing/bluez-hcidump/APKBUILD23
1 files changed, 18 insertions, 5 deletions
diff --git a/testing/bluez-hcidump/APKBUILD b/testing/bluez-hcidump/APKBUILD
index 7f300493e9..09b7092095 100644
--- a/testing/bluez-hcidump/APKBUILD
+++ b/testing/bluez-hcidump/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=bluez-hcidump
pkgver=2.0
-pkgrel=0
+pkgrel=1
pkgdesc="Bluetooth HCI package analyzer"
url="http://www.bluez.org/"
arch="all"
@@ -9,10 +9,22 @@ license="GPL2"
depends=
makedepends="bluez-dev"
subpackages="$pkgname-doc"
-source="http://www.kernel.org/pub/linux/bluetooth/bluez-hcidump-$pkgver.tar.gz"
+source="http://www.kernel.org/pub/linux/bluetooth/bluez-hcidump-$pkgver.tar.gz
+ ntoh64.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure --prefix=/usr \
--mandir=/usr/share/man \
|| return 1
@@ -20,7 +32,8 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="5c2e3ef0a68b2845047867ba51ff8ac9 bluez-hcidump-2.0.tar.gz"
+md5sums="5c2e3ef0a68b2845047867ba51ff8ac9 bluez-hcidump-2.0.tar.gz
+fee39a3c089125cdc9f7b01f84ea8b33 ntoh64.patch"